[Initng-svn] r3218 - in initng: tags/0.5.5
tags/0.5.5/initfiles/system trunk trunk/initfiles/system
svn at initng.thinktux.net
svn at initng.thinktux.net
Tue Mar 7 11:40:48 CET 2006
Author: deac
Date: Tue Mar 7 11:40:48 2006
New Revision: 3218
Added:
initng/tags/0.5.5/
- copied from r3217, initng/trunk/
Removed:
initng/tags/0.5.5/release.sh
Modified:
initng/tags/0.5.5/AUTHORS
initng/tags/0.5.5/initfiles/system/checkfs.ii
initng/trunk/AUTHORS
initng/trunk/initfiles/system/checkfs.ii
Log:
0.5.5 tagged
Modified: initng/tags/0.5.5/AUTHORS
==============================================================================
--- initng/trunk/AUTHORS (original)
+++ initng/tags/0.5.5/AUTHORS Tue Mar 7 11:40:48 2006
@@ -28,6 +28,11 @@
Genady Okrain
<mafteah at mafteah.co.il>
+ Denis Knauf
+ <denisDOTknaufATgmailDOTcom>
+ jabber: <deacATamessageDOTde>
+ irc: DEac- @ irc.freenode.org #initng
+
Documentation:
Andrei Oprisan
<aioprisan at gmail.com>
Modified: initng/tags/0.5.5/initfiles/system/checkfs.ii
==============================================================================
--- initng/trunk/initfiles/system/checkfs.ii (original)
+++ initng/tags/0.5.5/initfiles/system/checkfs.ii Tue Mar 7 11:40:48 2006
@@ -9,80 +9,64 @@
script start = {
#ifd debian
handle_failed_fsck() {
- echo -e "File system check failed.\nA log is being saved in ${FSCK_LOGFILE} if that location is writable.\ Please repair the file system manually."
- echo -e "A maintenance shell will now be started.\nCONTROL-D will terminate this shell and resume system boot."
+ echo "File system check failed."
+ echo "A log is being saved in ${FSCK_LOGFILE} if that location is writable. Please repair the file system manually."
+ echo "A maintenance shell will now be started."
+ echo "CONTROL-D will terminate this shell and resume system boot."
# Start a single user shell on the console
- if ! sulogin $CONSOLE
- then
- echo -e "Attempt to start maintenance shell failed. \nContinuing with system boot in 5 seconds."
- sleep 5
- fi
+ exit 1
}
- [ "$FSCKFIX" ] || FSCKFIX=no
+ [ "${FSCKFIX}" ] || FSCKFIX=no
# See if we're on AC Power
# If not, we're not gonna run our check
- if which on_ac_power >/dev/null 2>&1
+ if [ -x "@on_ac_power@" ]
then
- on_ac_power >/dev/null 2>&1
- if [ $? -eq 1 ]
- then
- BAT=yes
- fi
+ @on_ac_power@ >/dev/null 2>&1
+ [ ${?} -eq 1 ] && BAT=yes
fi
#
# Check the rest of the file systems.
#
- if [ ! -f /fastboot ] && [ ! "$BAT" ] && [ "$FSCKTYPES" != "none" ]
+ if ! [ -f /fastboot -a -n "${BAT}" -a "${FSCKTYPES}" = "none" ]
then
- if [ -f /forcefsck ]
- then
- force="-f"
- else
- force=""
- fi
- if [ "$FSCKFIX" = yes ]
- then
- fix="-y"
- else
- fix="-a"
- fi
+ force=""
+ [ -f /forcefsck ] && force="-f"
+ fix="-a"
+ [ "${FSCKFIX}" = yes ] && fix="-y"
spinner="-C"
- case "$TERM" in
- dumb|network|unknown|"")
- spinner=""
- ;;
- esac
+ [ "${TERM}" = dumb -o "${TERM}" = network -o "${TERM}" = unknown -o -z "${TERM}" ] && spinner=""
[ "$(uname -m)" = s390 ] && spinner="" # This should go away
FSCKTYPES_OPT=""
- [ "$FSCKTYPES" ] && FSCKTYPES_OPT="-t $FSCKTYPES"
+ [ "${FSCKTYPES}" ] && FSCKTYPES_OPT="-t ${FSCKTYPES}"
- if [ "$VERBOSE" = no ]
+ if [ "${VERBOSE}" = no ]
then
echo "Checking file systems"
- logsave -s $FSCK_LOGFILE fsck $spinner -R -A $fix $force $FSCKTYPES_OPT
- FSCKCODE=$?
- if [ "$FSCKCODE" -gt 1 ]
+ logsave -s ${FSCK_LOGFILE} fsck ${spinner} -R -A ${fix} ${force} ${FSCKTYPES_OPT}
+ FSCKCODE=${?}
+ if [ ${FSCKCODE} -gt 1 ]
then
- echo 1 "code $FSCKCODE"
+ echo 1 "code ${FSCKCODE}"
handle_failed_fsck
fi
else
- if [ "$FSCKTYPES" ]
+ if [ "${FSCKTYPES}" ]
then
- echo "Will now check all file systems of types $FSCKTYPES"
+ echo "Will now check all file systems of types ${FSCKTYPES}"
else
echo "Will now check all file systems"
fi
- logsave -s $FSCK_LOGFILE fsck $spinner -V -R -A $fix $force $FSCKTYPES_OPT
- FSCKCODE=$?
- if [ "$FSCKCODE" -gt 1 ]
+ logsave -s ${FSCK_LOGFILE} fsck ${spinner} -V -R -A ${fix} ${force} ${FSCKTYPES_OPT}
+ FSCKCODE=${?}
+ if [ ${FSCKCODE} -gt 1 ]
then
handle_failed_fsck
else
- echo -e "Done checking file systems.\nA log is being saved in ${FSCK_LOGFILE} if that location is writable."
+ echo "Done checking file systems."
+ echo "A log is being saved in ${FSCK_LOGFILE} if that location is writable."
fi
fi
fi
Modified: initng/trunk/AUTHORS
==============================================================================
--- initng/trunk/AUTHORS (original)
+++ initng/trunk/AUTHORS Tue Mar 7 11:40:48 2006
@@ -28,6 +28,11 @@
Genady Okrain
<mafteah at mafteah.co.il>
+ Denis Knauf
+ <denisDOTknaufATgmailDOTcom>
+ jabber: <deacATamessageDOTde>
+ irc: DEac- @ irc.freenode.org #initng
+
Documentation:
Andrei Oprisan
<aioprisan at gmail.com>
Modified: initng/trunk/initfiles/system/checkfs.ii
==============================================================================
--- initng/trunk/initfiles/system/checkfs.ii (original)
+++ initng/trunk/initfiles/system/checkfs.ii Tue Mar 7 11:40:48 2006
@@ -9,80 +9,64 @@
script start = {
#ifd debian
handle_failed_fsck() {
- echo -e "File system check failed.\nA log is being saved in ${FSCK_LOGFILE} if that location is writable.\ Please repair the file system manually."
- echo -e "A maintenance shell will now be started.\nCONTROL-D will terminate this shell and resume system boot."
+ echo "File system check failed."
+ echo "A log is being saved in ${FSCK_LOGFILE} if that location is writable. Please repair the file system manually."
+ echo "A maintenance shell will now be started."
+ echo "CONTROL-D will terminate this shell and resume system boot."
# Start a single user shell on the console
- if ! sulogin $CONSOLE
- then
- echo -e "Attempt to start maintenance shell failed. \nContinuing with system boot in 5 seconds."
- sleep 5
- fi
+ exit 1
}
- [ "$FSCKFIX" ] || FSCKFIX=no
+ [ "${FSCKFIX}" ] || FSCKFIX=no
# See if we're on AC Power
# If not, we're not gonna run our check
- if which on_ac_power >/dev/null 2>&1
+ if [ -x "@on_ac_power@" ]
then
- on_ac_power >/dev/null 2>&1
- if [ $? -eq 1 ]
- then
- BAT=yes
- fi
+ @on_ac_power@ >/dev/null 2>&1
+ [ ${?} -eq 1 ] && BAT=yes
fi
#
# Check the rest of the file systems.
#
- if [ ! -f /fastboot ] && [ ! "$BAT" ] && [ "$FSCKTYPES" != "none" ]
+ if ! [ -f /fastboot -a -n "${BAT}" -a "${FSCKTYPES}" = "none" ]
then
- if [ -f /forcefsck ]
- then
- force="-f"
- else
- force=""
- fi
- if [ "$FSCKFIX" = yes ]
- then
- fix="-y"
- else
- fix="-a"
- fi
+ force=""
+ [ -f /forcefsck ] && force="-f"
+ fix="-a"
+ [ "${FSCKFIX}" = yes ] && fix="-y"
spinner="-C"
- case "$TERM" in
- dumb|network|unknown|"")
- spinner=""
- ;;
- esac
+ [ "${TERM}" = dumb -o "${TERM}" = network -o "${TERM}" = unknown -o -z "${TERM}" ] && spinner=""
[ "$(uname -m)" = s390 ] && spinner="" # This should go away
FSCKTYPES_OPT=""
- [ "$FSCKTYPES" ] && FSCKTYPES_OPT="-t $FSCKTYPES"
+ [ "${FSCKTYPES}" ] && FSCKTYPES_OPT="-t ${FSCKTYPES}"
- if [ "$VERBOSE" = no ]
+ if [ "${VERBOSE}" = no ]
then
echo "Checking file systems"
- logsave -s $FSCK_LOGFILE fsck $spinner -R -A $fix $force $FSCKTYPES_OPT
- FSCKCODE=$?
- if [ "$FSCKCODE" -gt 1 ]
+ logsave -s ${FSCK_LOGFILE} fsck ${spinner} -R -A ${fix} ${force} ${FSCKTYPES_OPT}
+ FSCKCODE=${?}
+ if [ ${FSCKCODE} -gt 1 ]
then
- echo 1 "code $FSCKCODE"
+ echo 1 "code ${FSCKCODE}"
handle_failed_fsck
fi
else
- if [ "$FSCKTYPES" ]
+ if [ "${FSCKTYPES}" ]
then
- echo "Will now check all file systems of types $FSCKTYPES"
+ echo "Will now check all file systems of types ${FSCKTYPES}"
else
echo "Will now check all file systems"
fi
- logsave -s $FSCK_LOGFILE fsck $spinner -V -R -A $fix $force $FSCKTYPES_OPT
- FSCKCODE=$?
- if [ "$FSCKCODE" -gt 1 ]
+ logsave -s ${FSCK_LOGFILE} fsck ${spinner} -V -R -A ${fix} ${force} ${FSCKTYPES_OPT}
+ FSCKCODE=${?}
+ if [ ${FSCKCODE} -gt 1 ]
then
handle_failed_fsck
else
- echo -e "Done checking file systems.\nA log is being saved in ${FSCK_LOGFILE} if that location is writable."
+ echo "Done checking file systems."
+ echo "A log is being saved in ${FSCK_LOGFILE} if that location is writable."
fi
fi
fi
More information about the Initng-svn
mailing list